## MacPorts-2.3.2.tar.gz

=== tests/test/case-insensitive-deactivate/DESCRIPTION ===
This test checks for case-insensitive port names. From Portfile.in it
generates a Portfile which is installed with a lowercase name (casesensitive)
and uninstalled with a CamelCase name (CaseSensitivE). The install/uninstall
is verified by the existance/absence of the '/tmp/macports-tests/opt/local/var/test/case'
file.

There are 2 test cases. One to install a port and the other to uninstall.

See ticket #11759,
https://trac.macports.org/ticket/11759

=== tests/test/trace/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 107515 2013-07-02 00:22:03Z cal@macports.org $

PortSystem          1.0
name                trace
version             1
categories          test
maintainers         pguyot@kallisys.net
description         Test port for -t
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles
use_configure       no
build {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    proc fails {operation} {
        if {![catch $operation]} {
            ui_error "Operation ${operation} succeeded although it should have failed!"
            error "test failure"
        }
    }
    # the port directory is outside of the sandbox; make sure files can't be
    # created, deleted or symlinked into place here
    fails {system "touch ../tracetesttmp/create-trace"}
    fails {system "rm ../tracetesttmp/delete-trace"}
    fails {system "ln -s /usr/include/ ../tracetesttmp/link-trace"}
    # we also don't want mkdir or rmdir here
    fails {system "mkdir ../tracetesttmp/mkdir-trace"}
    fails {system "rmdir ../tracetesttmp/rmdir-trace"}
    # renaming should also be prohibited
    fails {system "mv ../tracetesttmp/rename-trace ../tracetesttmp/rename-new-trace"}

    # test access to /tmp
    system "touch /tmp/hello-trace"
    system "rm /tmp/hello-trace"
    system "rm /tmp/link-trace2"

    # overwriting DYLD_INSERT_LIBRARIES should not allow escaping the sandbox (due to env restoring)
    fails {system "DYLD_INSERT_LIBRARIES= touch ../tracetesttmp/create-trace-modenv"}

    # if the directories already exist, mkdir -p should succeed.
    system "mkdir -p /usr/bin"
}
